/*
 * Copyright (C) 2018 Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
**/
#include "customplugin.h"
#include "screensaver.h"
#include <QTranslator>
#include <QApplication>
#include <QDebug>

#define WORKING_DIRECTORY "/usr/share/ukui-screensaver"

CustomPlugin::CustomPlugin(QObject *parent):QObject(parent)
{

}

QString CustomPlugin::name() const
{
   return "screensaver-default";
}

QWidget* CustomPlugin::createWidget(bool isScreensaver,QWidget* parent)
{
    //加载翻译文件
    QString locale = QLocale::system().name();
    QTranslator translator;
    QString qmFile = QString(WORKING_DIRECTORY"/i18n_qm/%1.qm").arg(locale);
    translator.load(qmFile);
    qApp->installTranslator(&translator);
    qDebug() << "load translation file " << qmFile;
    return new Screensaver(isScreensaver,parent);
}

QString CustomPlugin::displayName() const
{
    return "screensaver-default";
}
